{smcl}
{* 10Feb2010}{...}
{cmd:help pvdata}: Help for constructing data for {cmd:pvplot} - 2010-02-10
{hline}
{p2colset 4 14 14 2}{...}

{title:Overview}

{p 5 5 2 75}
The command {cmd:pvdata} creates data appropriate for plotting with 
{cmd:pvplot}.

{title:Syntax}

{p 5 13 2}
{cmd:pvdata} {it:varlist}
[{cmd:,} {it:options}]

{synoptset 15 tabbed}{...}
{synopthdr}
{synoptline}

{synopt:{opt id:(varname)}}Name of id variable in source dataset.{p_end}

{synopt:{opt auto:order(#)}}Arrange items to be plotted from left to right
in the order that corresponds to percent in this category.{p_end}

{synopt:{opt nos:ort}}Do not sort items from first item to last item.{p_end}

{synopt:{opt des:cending}}Sort in descending order.{p_end}

{synopt:{opt sortv:ars(sortlist)}}Sort on these variables; if not specified, 
sort using {it:varlist}.{p_end}

{synopt:{opt sortitems}}Add {it:varlist} to end of list of sort variables.{p_end}

{synopt:{opt colorv:ars(colorvars)}}Variables used by {cmd:pvplot} for determining colors of paths. 
More than one color variable can be included in data but only one at a time can be used in the plot.{p_end}

{synopt:{opt m:ethod(stacked | uniform)}}If {it:stacked}, the default,
create offsets to stack the paths on top of each other; if {it:uniform} offsets are
included so that paths from categories with the same value for a given 
id will be horizontal.{p_end}

{synopt:{opt sample:(0-100)}}Sample this percent of cases; used with testing or
for large datasets.{p_end}

{synopt:{opt otherv:ars(othernames)}}Other variables to keep in dataset; these
variables do not need to be part of the plot.{p_end}

{synopt:{opt debug:}}Run in test mode for debugging.{p_end}

{synoptline}

{title:Discussion}

{p 2 2}
The dataset created by {cmd:pvdata} includes categorical variables to be plotted
by {cmd:pvplot}. The variables that are plotted are called {bf:items}. Each item must
be categorical with sequential categories and all categories in the sequence must
be observed for at least one item. 
For example, if the minimum category is 1 and the maximum is 5, at least one item must
include cases for each category 1, 2, 3, 4, and 5.

{p 2 2}
You must specify the K {it:item-variables} and can optionally specify an 
{it:id-variable}, variables used to sort the data, and other variables that
can be used for determining the color of the paths or the intensity of the paths. 

{p 2 2}
The dataset created by {cmd:pvdata} has K-1 rows for each observation in the 
source dataset. For example, with 4 items, {cmd:pvdata} creates three rows in
the new datasest for each observation in the source dataset:

    Row 1: information on item 1 and item 2 for observation 1.
    Row 2: information on item 2 and item 3 for observation 1.
    Row 3: information on item 3 and item 4 for observation 1.
    Row 4: information on item 1 and item 2 for observation 2.
    Row 5: information on item 2 and item 3 for observation 2.
    Row 6: information on item 3 and item 4 for observation 2.
    < and so on >

{p 2 2}
The output dataset includes the coordinates of path segments that are
plotted with {cmd:pvplot}. It also includes the items, an id, sort variables,
and other variables, with each item duplicated in each row of the dataset. In the example
above, rows 1, 2 and 3 would contain three different path segments as well as values 
for the id, the items, etc.

{p 2 2}
The {cmd:pvplot} command plots line segments corresponding to the
coordinate (itemST,catST) to the coordinate (itemEN,catEN). These coordinates
are located in these variables:

{synoptset 15 tabbed}{...}

{synopt:{opt itemSTx:}}The x-coordinate for the starting point.{p_end}

{synopt:{opt catSTy:}}The base y-coordinate for the starting point.{p_end}
          
{synopt:{opt itemENx:}}The x-coordinate for the ending point.{p_end}

{synopt:{opt catENy:}}The base y-coordinate for the ending point.{p_end}

{p 2 2}
The base y-coordinates are offset by the amounts contained in:

{synopt:{opt catSTyoff:}}Offset for starting y-coordinate.{p_end}

{synopt:{opt catENyoff:}}Offset for ending y-coordinate.{p_end}

{p 2 2}
The offset is necessary so that identical path segments from multiple
observations will not be graphed on top of each other.

{p 2 2}
The variables created by {cmd:pvdata} for plotting are:

{synopt:{opt _pvrownum:}}This is the row number from the source dataset 
used to created a given row in the dataset created by {cmd:pvdata}.{p_end}

{synopt:{opt _pvsortorder:}}This is the row number in the dataset
created by {cmd:pvdata}, ranging from 1 to (K-1)*N. This variable can 
be used if you sort the dataset created by {cmd:pvdata} and want 
to restore the data to the original order. This is not likely to be used
often.{p_end}

In addition to creating variables, {cmd:pvdata} sets the value of a global:

{synopt:{opt pvinteractive:}}is set to 0 which indicates that the data in memory was
changed since the last {cmd:pvplot} was run. This tells {cmd:pvplot} to reset all
options to their defaults rather than keeping options at the values used the last
time {cmd:pvplot} was run. In other words, as soon as {cmd:pvdata} is run, 
{cmd:pvplot} is placed in non-interactive mode.{p_end}
INCLUDE help pv_footer
